/**
* Created by frank.wang on 2017/1/4.
*/
var pageIndex = 0; //页索引
var pageSize = 2; //每页显示的条数
var dataCount = 1; //总条目数	必选参数，整数 ajax 时通过 返回的参数确定
var first_flag = false; //是否第一次加载
var currentPage = 0;
var isLoading = false;

$(document).ready(function () {
    selectButtonontrol();
    getDateBySelectButton()

    $("#J-search-art").click(function () {
        // 这里重新调用数据方法
        $("#" + $(this).attr("targetId")).val($(this).attr("data"));
        event.stopPropagation();
        pageIndex = 0;
        first_flag = false;
        reGetdata();
    });

    $("#ItemName").keydown(function () {
        if (event.keyCode == "13") {//keyCode=13是回车键
            $("#J-search-art").click();
        }
    });

    //数据加载
    getData(pageIndex);

    $(".J-switch-button-block .switch-button").eq(parseInt(activebtn)).click()

    $(window).scroll(function () {
        if ($(document).scrollTop() >= $(document).height() - $(window).height()) {
            var totalPage = parseInt((dataCount + pageSize - 1) / pageSize);
            if (parseInt(currentPage + 1) < totalPage && !isLoading) {
                // 下一页
                isLoading = true;
                $("#a-historydetail-Pagination").trigger('nextPage');
                $(".p-down").show();
                $(".p-warn").hide();
            } else {
                $(".p-down").hide();
                $(".p-warn").show();
            }
        }
    });
});

function PageCallback(jumpindex) {
    if (pageIndex == 0 && !first_flag) { //查询第一页并进行分页初始化时，不去服务器再次查询
        first_flag = true;
    } else {
        getData(jumpindex);
    }
    currentPage = jumpindex;
    return false;
};


function initPagination() {
    if (pageIndex == 0 && !first_flag) { //查询第一也是进行初始化
        $("#a-historydetail-Pagination").pagination(dataCount, {
            num_edge_entries: 1, //两侧显示的首尾分页的条目数	可选参数，默认是0
            num_display_entries: 4, //连续分页主体部分显示的分页条目数	可选参数，默认是10
            callback: PageCallback,
            prev_text: '上一页',
            next_text: '下一页',
            items_per_page: pageSize,
            current_page: pageIndex
        });
    }
};

function reGetdata() {
    first_flag = false;
    $(".J-detail-vote-block").html('');
    getData(0);
}

function getData(pageIndex) {
    //ajax加载 每次需要将总页数传递过来 pageCount
    $.ajax({
        dataType: "json",
        type: "POST",
        url: '../../APIActivity/GetVoteArtistList',
        data: "pageIndex=" + (pageIndex + 1) + "&pageSize=" + pageSize + "&VID=" + $("#MainId").val() + "&itemRound=" + ($("#Round").val() || "") + "&ItemName=" + $("#ItemName").val() + "&Categray2=" + $("#Categray2").val(),
        complete: function () {
            isLoading = false;
        },
        success: function (msg) {
            isLoading = false;
            if (msg != "") {
                var data = msg.Data;
                //$(".J-detail-vote-block").html('');  //移除所有的数据
                var html = "";
                var currentIndex = 0;
                var columns = 2; // 要显示的列数
                var rows = 2;   // 要显示的行数

                dataCount = msg.DataCount;
                //                   alert('活动状态' + progress + '  当前轮次' + $("#Round").val() + '  数据条数' + dataCount);
                initPagination();

                for (var row = 0; row < rows; row++) {
                    var currenColumn = (dataCount - columns * row);
                    currenColumn = currenColumn > columns ? columns : currenColumn;

                    html += '<div class="mobile-activity-art-card-box">';
                    for (var col = 0; col < currenColumn; col++) {

                        var index = row * columns + col;
                        if (index >= data.length) {
                            continue;
                        }

                        var item = data[index];

                        if (item.ItemCode == null || !item.ItemCode) {
                            item.ItemCode = "";
                        }

                        html += '<div class="mobile-activity-art-card">';
                        html += '<div class="activity-art-card-image">';
                        html += '<a href="/Activity/MobileActivityPage/ActivityArtDetail?vid=' + item.VID + '&viid=' + item.VIID + '&round=' + ($("#Round").val()) + '" style="background-image:url(' + item.ImgUrl + '?x-oss-process=image/auto-orient,1' + ')" class="activity-art-card-image--img">';
                        html += '<div class="autoHeight"></div>';
                        html += '</a>';
                        html += '<div class="activity-art-card-image--content">';
                        html += '<div class="activity-art-card-image--title" style="    font-weight:bold;"><span>编号：</span><span>' + item.ItemCode + '</span></div>';
                        html += '<div class="activity-art-card-image--title" style="    margin-top: 10px; ">' + item.ItemName + '</div>';
                        html += '<div class="activity-art-card-image--item"><span>规格：</span><span>' + item.Size + '</span></div>';
                        html += '<div class="activity-art-card-image--item">';
                        html += '<div class="activity-art-card-image--item-group"><span>类型：</span><span>' + item.CategrayName + '</span></div>';
                        //  html += '<div class="activity-art-card-image--item-group"><span class="icon-tag"></span><span>' + item.CategrayName + '</span></div>';
                        html += '</div>';
                        html += '<div class="activity-art-card-image--item activity-art-card-image--follow">';
                        html += '<div class="activity-art-card-image--item-group">';

                        if (progress == 1) { // 正在征集
                            html += '<div class="button" onclick="javascript:VoteItemAgreeAgree(\'' + item.VIID + '\')"><span class="icon-follow1"></span></span><span>' + item.Agreenum + '人</span></div>';
                        } else if (progress == 2) { // 正在投票
                            html += '<div class="button" onclick="javascript:vote(\'' + item.VIID + '\',\'' + item.itemRoundId + '\')"><span class="icon-like1"></span><span>' + item.voterecordcount + '票</span></div>';
                        }
                        else if (progress == 3) { // 征集历史
                            html += '<div class="button"><span>' + item.voterecordcount + '票</span></div>';
                        }
                        html += '</div>';
                        html += '</div>';
                        html += '</div>';
                        html += '</div>';
                        html += '</div>';
                        //html+= '</div>';
                    }
                    html += '</div>';
                }
                $(".J-detail-vote-block").append(html); //将返回的数据追加页面
              
            }
        }
    });
};

/*
*加载每轮活动公告
*/
function GetRoundIntroduction() {
    $.ajax({
        dataType: "json",
        type: "POST",
        url: '../../APIActivity/Get_ActivityVoteRound',
        data: "activityId=" + $("#MainId").val() + "&round=" + ($("#Round").val() || ""),
        success: function (msg) {
            $("div[id='voteRoundText']").html(msg.RoundIntroduction);
        }
    });
}

function getDateBySelectButton() {
    var allbtn = $(".J-selectButton-child")
    if (allbtn.length && allbtn.length > 0) {
        allbtn.click(function () {
            $(".J-selectButton-child").removeClass("li-active");
            $(this).addClass("li-active");
            var parWin = $(this).parents(".J-selectButton");
            //$(this).parent().parent().parent().parent()
            $(".J-selectButtonText", parWin).html($(this).html());
            parWin.removeClass("dropdown-menu-active");

            // 这里重新调用数据方法
            $("#" + $(this).attr("targetId")).val($(this).attr("data"));
            event.stopPropagation();
            pageIndex = 0;
            first_flag = false;
            reGetdata();
            GetRoundIntroduction();
        });
    } else {
        return false
    }
}

function vote(viid, itemRoundId) {
    confirm('确认对该作品投票？', function (flag) {
        if (flag) {
            $.ajax({
                dataType: "json",
                type: "POST",
                url: '../../APIActivity/Vote',
                data: "viid=" + viid + "&itemRoundId=" + itemRoundId,
                success: function (data) {
                    if (data.IsSuccess) {
                        confirm(data.Message, function (date) {
                            if (date) {
                                reGetdata();
                                //window.location.href = window.location.href + "&activebtn=1"
                            }
                        });
                    }
                    else {
                        if (data.DataCount == -1) {
                            window.location.href = "/VIPMember/Member/UserLogin?redirect=" + encodeURIComponent(window.location.href);
                        } else {
                            alert(data.Message);
                        }
                    }
                }
            });
        }
    })
}


/*
* 作品点赞
*/
function VoteItemAgreeAgree(viId) {
    $.ajax({
        dataType: "json",
        type: "POST",
        url: '../../APIActivity/VoteItemAgreeAgree',
        data: "Viid=" + viId,
        success: function (data) {
            switch (data) {
                case 1:
                    alert("关注成功");
                    //location.reload();
                    getData(currentPage);
                    break;
                case 0:
                    alert("提交失败");
                    break;
                case -1:
                    confirm("请登录后再操作", function (date) {
                        if (date) {
                            window.location.href = "/VIPMember/Member/UserLogin?redirect=" + window.location.href;
                        }
                    });
                    break;
                case -2:
                    alert("你已关注了该作品");
                    break;
                default:

            }
        }
    });
}